Clone serveur gestsup

Installation & Configuration du logiciel
Avatar du membre
Flox
Administrateur du site
Messages : 5026
Enregistré le : jeu. 21 juin 2012 19:00

Re: Clone serveur gestsup

Message par Flox »

Il n'y a pas de rapport entre l'installation du patch gestsup et phpmyadmin il s'agit de deux applications distinctes dans deux répertoires différents.

Re démarré votre serveur si le problème persiste vérifier la configuration apache de phpmyadmin.

Cdt
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.8

squirel
Gsup LEVEL 1
Messages : 27
Enregistré le : mar. 26 nov. 2019 16:55

Re: Clone serveur gestsup

Message par squirel »

Effectivement, j'ai ré-installer phpadmin et cela fonctionne maintenant.

pour la migration, la base bsup suffit-il ?

Cordialement

Avatar du membre
Flox
Administrateur du site
Messages : 5026
Enregistré le : jeu. 21 juin 2012 19:00

Re: Clone serveur gestsup

Message par Flox »

Oui l'application n'a besoin que d'une base de données par défaut nommée "bsup" , les autres sur votre serveur sont pour le SGBDR ou PMA.
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.8

squirel
Gsup LEVEL 1
Messages : 27
Enregistré le : mar. 26 nov. 2019 16:55

Re: Clone serveur gestsup

Message par squirel »

la base bsup existe déjà sur le serveur test.
en faisant un import / export il y aura pas de conflit ?

quel est le process ?

Merci

Avatar du membre
Flox
Administrateur du site
Messages : 5026
Enregistré le : jeu. 21 juin 2012 19:00

Re: Clone serveur gestsup

Message par Flox »

Bonjour,

Si une base existe déja :
- Faite une sauvegarde de la base actuelle (onglet exporter)
- Faite une suppression de la base bsup (sélectionner la base puis onglet opération)
- Créer une nouvelle base de données nommée bsup
- Importer votre fichier de base de donnée (onglet importer)

Cdt
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.8

squirel
Gsup LEVEL 1
Messages : 27
Enregistré le : mar. 26 nov. 2019 16:55

Re: Clone serveur gestsup

Message par squirel »

L'import de la base bsup s'est bien déroulé (cf.fichier importbsup) mais je ne retrouve pas les tickets sur le serveur de test (cf.importerror).
Fichiers joints
importbsup.JPG
importbsup.JPG (71.43 Kio) Vu 336 fois
import_error.JPG
import_error.JPG (69.42 Kio) Vu 336 fois

squirel
Gsup LEVEL 1
Messages : 27
Enregistré le : mar. 26 nov. 2019 16:55

Re: Clone serveur gestsup

Message par squirel »

Il s'avère que j'ai un retour d'erreur :

Phpmyadmin - Erreur
Incorrect format parameter

Cordialement

Avatar du membre
Flox
Administrateur du site
Messages : 5026
Enregistré le : jeu. 21 juin 2012 19:00

Re: Clone serveur gestsup

Message par Flox »

réaliser l'opération en ligne de commande si votre base de données est volumineuse
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.8

squirel
Gsup LEVEL 1
Messages : 27
Enregistré le : mar. 26 nov. 2019 16:55

Re: Clone serveur gestsup

Message par squirel »

J'ai installé la mise à jour la version de Gestup : 3.1.50, avant la migration. Est ce que j'ai besoin de passer par cette étape :

=> "Mettre a jour votre base de données en dernière version en utilisant les scripts présents dans le repertoire ./_SQL"

la mise à jour de gestsup est elle différente de la mise à jour de la base de donnée ?



Cordialement

Avatar du membre
Flox
Administrateur du site
Messages : 5026
Enregistré le : jeu. 21 juin 2012 19:00

Re: Clone serveur gestsup

Message par Flox »

Si vous avez dupliqué votre base de donnée de production qui était en version 3.1.45, vous devez passer les scripts de base de données pour qu'elle soit en 3.1.50, en corrélation avec les fichiers qui sont en version 3.1.50.

pour vérifier la version de votre base de données vous pouvez via PMA regarder la table tparameters
pour vérifier la version de vos fichiers vous pouvez ouvrir le fichier changelog.php
GestSup: 3.2.1 | Debian: 10.4 | Apache: 2.4.43 | MariaDB: 10.5.4| PHP: 7.4.8

Répondre